=== debian/changelog ===
ros-one-jsk-calibration (0.1.18-14noble.20251023.1055) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 23 Oct 2025 10:55:08 +0000

ros-one-jsk-calibration (0.1.18-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 09 Dec 2024 00:00:00 -0000

ros-one-jsk-calibration (0.1.17-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 28 May 2023 00:00:00 -0000

ros-one-jsk-calibration (0.1.16-0noble) noble; urgency=high

  * remove roseus from CMakeLists.txt (#773 <https://github.com/jsk-ros-pkg/jsk_control/issues/773>)
  * [joint_states_appender.py]add queue_size (#734 <https://github.com/jsk-ros-pkg/jsk_control/issues/734>)
  * 0755 -> -h0o0755 : SyntaxError: leading zeros in decimal integer literals are not permitted; use an 0o prefix for octal integers, 2to3 -w -fprint . (#763 <https://github.com/jsk-ros-pkg/jsk_control/issues/763>)
  * Contributors: Kei Okada, Naoki Hiraoka

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 27 Oct 2022 00:00:00 -0000

ros-one-jsk-calibration (0.1.15-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 16 May 2018 00:00:00 -0000

ros-one-jsk-calibration (0.1.14-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 15 Jan 2018 00:00:00 -0000

ros-one-jsk-calibration (0.1.13-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 18 Apr 2017 00:00:00 -0000

ros-one-jsk-calibration (0.1.12-0noble) noble; urgency=high

  * CMakeLists.txt: remove pr2_* dependency, add install
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-one-jsk-calibration (0.1.11-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 09 Feb 2017 00:00:00 -0000

ros-one-jsk-calibration (0.1.10-0noble) noble; urgency=high

  * fix checker board spacing parameters to be 0.03
  * [jsk_calibration] Modify checkerboard spacing values and modify README
  * fix hrp2w_calibration
  * update for hrp2w_calibration
  * add readme comment
  * change multisense -> xtion (or carmine)
  * delete file before rename
  * [jsk_calibration] Rename manual_calibration_viewer launch and fix colorize_points topic name
  * add files for hrp2w
  * [jsk_control/jsk_calibration] Fix typo.
  * Contributors: Kohei Kimura, Yohei Kakiuchi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 15 Dec 2016 00:00:00 -0000

ros-one-jsk-calibration (0.1.9-0noble) noble; urgency=high

  * [jsk_calibration] Update camera config parameter for JAXON
    Modified:
    - jsk_calibration/jaxon_calibration/capture_data/hardware_config/cam_config.yaml
  * [jsk_calibration] Add forgotten config file for rviz viewer
  * [jsk_calibration] add utilitiy for jaxon_calibration
  * [jsk_calibration][JAXON_RED] update poses for calibration
  * [jsk_calibration] Add calibration viewer for manual calibration
  * {jsk_calibration, jsk_footstep_planner}/README.md: fix section/subsection
  * Contributors: Kei Okada, Ryohei Ueda, Yohei Kakiuchi, Iori Kumagai

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 23 Mar 2016 00:00:00 -0000

ros-one-jsk-calibration (0.1.8-0noble) noble; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 02 Nov 2015 00:00:00 -0000

ros-one-jsk-calibration (0.1.7-0noble) noble; urgency=high

  * [jsk_calibration] Fix typo in README
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 01 Nov 2015 00:00:00 -0000

ros-one-jsk-calibration (0.1.6-0noble) noble; urgency=high

  * rename url
  * [JAXON] add jaxon_calibration
  * [JAXON] add motion generation method for jaxon camera calibration
  * [jsk_calibration] Fix effort and velocity for joint_states which does not have effort and velocity
    in joint_states_appender.py
  * [jsk_calibration] Update HRP2JSKNT calibration for multisense
  * [jsk_calibration] Update README.md
  * [jsk_calibration] append velocity and effort as well as name and position in joint_states_appender.py
  * [jsk_calibration] Fix remapping of joint_states for HRP2JSKNTS
  * [jsk_calibration] Fix documentation to show image
  * [jsk_calibration] update documentation
  * [jsk_calibration] Add launch files for hrp2jsknts calibration
  * [jsk_calibration] Add hrp2jsknts to hrp2-calibration
  * [jsk_calibration] Add joint_states_appender.py to handle multiple
    joint_states in calibration time.
  * Updated to generate motion for hrp2w
  * use least rpy angle for compatibility?
  * add initial_poses.yaml for staro, and some update for staro calib
  * [jsk_calibration] udpate parameters for staro
  * fix board parmeter
  * update poses for staro
  * update generate-staro-files
  * fix camera joint name
  * update camera name
  * [jsk_calibration] Fix robust-motion bug and not use it as default
  * [jsk_calibration] Do not check collision if IK failed and fix unit of initial_poses.yaml
  * [jsk_calibration] Fix :write-initial-pose-yaml by Yohei's patch.
  * [jsk_calibration] Write initial_poses.yaml to speed up optimization
  * update
  * [jsk_calibration] Fix typoe of the files
  * add estimate params
  * fix chain length
  * add staro_calibration

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 11 Jun 2015 00:00:00 -0000

ros-one-jsk-calibration (0.1.5-0noble) noble; urgency=high

  * Add utility script to test a lot of calibration parameters
  * Reduce sampling poses to 30
  * Sampling pose with configuration space and update sampling space of
    leg poses
  * Add legs to calibrate hrp2jsknt
  * Self Collisoin with small changes on joint angles to get stable position
  * Add calibration document
  * Select different poses with probability computation
  * Select good calibration sample from a lot of mother samples
  * Use dual arm to calibrate HRP2JSKNT
  * Filtering not good poses for calibration
  * Do not use gripper joint on HRP2JSKNT

