=== debian/control ===
Source: ros-one-jsk-calibration
Section: misc
Priority: optional
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-pr2-controllers-msgs, ros-one-pr2-msgs, ros-one-roseus
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-jsk-calibration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-pr2-controllers-msgs, ros-one-pr2-msgs, ros-one-roseus
Description: The jsk_calibration package
